import org.faceless.graph2.*;
import java.awt.Color;
import java.io.FileOutputStream;
import java.io.IOException;

public class MultibarExample 
{
    public static void main (String args[]) throws IOException
    {
        // Create all the bar series
        //
        BarSeries january = new BarSeries("January");
        january.setBarWidth(0.8);
	january.set("2001",18);
	january.set("2002",12);
	january.set("2003",19);
	january.set("2004",10);
        
        BarSeries february = new BarSeries("February");
        february.setBarWidth(0.8);
	february.set("2001",25);
	february.set("2002",17);
	february.set("2003",15);
	february.set("2004",15);
        
        BarSeries march = new BarSeries("March");
        march.setBarWidth(0.8);
	march.set("2001",21);
	march.set("2002",12);
	march.set("2003",17);
	march.set("2004",4);
        
        BarSeries april = new BarSeries("April");
        april.setBarWidth(0.8);
	april.set("2001",10);
	april.set("2002",6);
	april.set("2003",9);
	april.set("2004",11);
        
        BarSeries may = new BarSeries("May");
        may.setBarWidth(0.8);
	may.set("2001",24);
	may.set("2002",23);
	may.set("2003",12);
	may.set("2004",18);

        BarSeries june = new BarSeries("June");
        june.setBarWidth(0.8);
	june.set("2001",40);
	june.set("2002",34);
	june.set("2003",18);
	june.set("2004",25);
        
        BarSeries july = new BarSeries("July");
        july.setBarWidth(0.8);
	july.set("2001",16);
	july.set("2002",15);
	july.set("2003",11);
	july.set("2004",23);

        BarSeries august = new BarSeries("August");
        august.setBarWidth(0.8);
	august.set("2001",10);
	august.set("2002",5);
	august.set("2003",10);
	august.set("2004",1);

        BarSeries september = new BarSeries("September");
        september.setBarWidth(0.8);
	september.set("2001",16);
	september.set("2002",25);
	september.set("2003",30);
	september.set("2004",21);
        
        BarSeries october = new BarSeries("October");
        october.setBarWidth(0.8);
	october.set("2001",35);
	october.set("2002",23);
	october.set("2003",21);
	october.set("2004",19);

        BarSeries november = new BarSeries("November");
        november.setBarWidth(0.8);
	november.set("2001",12);
	november.set("2002",25);
	november.set("2003",22);
	november.set("2004",10);

        BarSeries december = new BarSeries("December");
        december.setBarWidth(0.8);
	december.set("2001",15);
	december.set("2002",25);
	december.set("2003",20);
	december.set("2004",12);
        
        // Create a MultibarSeries and add all the series to it
        //
        MultiBarSeries mbs = new MultiBarSeries("years");
        mbs.add(january);
        mbs.add(february);
        mbs.add(march);
        mbs.add(april);
        mbs.add(may);
        mbs.add(june);
        mbs.add(july);
        mbs.add(august);
        mbs.add(september);
        mbs.add(october);
        mbs.add(november);
        mbs.add(december);

        // Create the graph and add the MultiBarSeries
        //
        AxesGraph graph = new AxesGraph();
	graph.addSeries(mbs);
        graph.setBackWallPaint (null, Color.BLACK, Axis.BOTTOM, -1, null);
        
        // Create a key and add it to the graph
        //
        Style style = new Style(Color.WHITE);
        style.setBorderColor(Color.WHITE);
        Key key = new Key(style);
        graph.addKey(key, Align.TOP);

        // Write the file
        //
	ImageOutput image = new ImageOutput(400, 400);
	graph.draw(image);
	FileOutputStream out = new FileOutputStream("MultibarExample.png");
	image.writePNG(out, 0);
        out.close();
    }
}
